"""20230129b

Revision ID: 113ac4db3847
Revises: e891b3cc374d
Create Date: 2023-01-29 20:42:21.500034

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '113ac4db3847'
down_revision = 'e891b3cc374d'
branch_labels = None
depends_on = None

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('star_info', 'band',
               existing_type=sa.VARCHAR(length=10),
               type_=sa.String(length=100),
               existing_nullable=True)
    op.alter_column('star_info', 'id1',
               existing_type=sa.VARCHAR(length=32),
               type_=sa.String(length=100),
               existing_nullable=True)
    op.alter_column('star_info', 'id2',
               existing_type=sa.VARCHAR(length=32),
               type_=sa.String(length=100),
               existing_nullable=True)
    op.alter_column('star_info', 'notes',
               existing_type=sa.VARCHAR(length=255),
               type_=sa.String(length=1024),
               existing_nullable=True)
    # ### end Alembic commands ###

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('star_info', 'notes',
               existing_type=sa.String(length=1024),
               type_=sa.VARCHAR(length=255),
               existing_nullable=True)
    op.alter_column('star_info', 'id2',
               existing_type=sa.String(length=100),
               type_=sa.VARCHAR(length=32),
               existing_nullable=True)
    op.alter_column('star_info', 'id1',
               existing_type=sa.String(length=100),
               type_=sa.VARCHAR(length=32),
               existing_nullable=True)
    op.alter_column('star_info', 'band',
               existing_type=sa.String(length=100),
               type_=sa.VARCHAR(length=10),
               existing_nullable=True)
    # ### end Alembic commands ###
